/*
 * Josh Lifton and Michael Broxton
 * MIT Media Lab
 * Copyright (c) 2002-2004. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

/*******************************************************************************
 * BerthaInterruptPrototypes.h
 * target: PushpinTOF
 *
 * Last modified 03OCT2002 by lifton.
 *
 * This file contains all function prototypes for Interrupt Service 
 * Routines (ISR).  This file must be included by BerthaOS.c (or whichever
 * file contains the main() function so that SDCC properly links the code
 * for interrupt routines.  
 *******************************************************************************/


#ifdef SDCC
	void serialInterrupt (void) interrupt 4;	// CommDataLink.c
	void timer2Interrupt(void) interrupt 5;		// CommDataLink.c
	void timer0Interrupt(void) interrupt 1;		// BerthaTiming.c
	void external0Interrupt(void) interrupt 0;	// TOFModule.c
	void external1Interrupt(void) interrupt 2;  // TOFModule.c
  void pcaInterrupt(void) interrupt 9;      // TOFModule.c
	void timer3Interrupt(void) interrupt 14;	// AcknowledgedDataLink.c
  void lastInterrupt(void) interrupt 21;  // Last interrupt in the 8051 interrupt vector.  (External crystal oscillator ready).
#else // KEIL
	void timer0Interrupt(void);					
	void serialInterrupt (void);				
	void timer2Interrupt(void);					
	void external0Interrupt(void);
	void external1Interrupt(void);
  void pcaInterrupt(void);
	void timer3Interrupt(void);
#endif
